@echo off
if "%1"=="a" goto start
if "%1"=="A" goto start
if "%1"=="b" goto start
if "%1"=="B" goto start
echo.
echo This copy process needs 3 blank, formatted 3 1/2" high-density disks.
echo.
echo The syntax for copying is:
echo %0 A   - to copy to drive A
echo %0 B   - to copy to drive B
echo.
goto exit
:start
echo.
echo This copy process needs 3 blank, formatted 3 1/2" high-density disks.
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 1
xcopy ..\clipart\33*.pcx %1:\clipart\
xcopy ..\clipart\133*.lst %1:\clipart\
xcopy ..\crosword\*.exe %1:\crosword\
xcopy ..\crosword\opposite.cwd %1:\crosword\
xcopy ..\crosword\rdmovies.cwd %1:\crosword\
xcopy ..\trivnow\*.exe %1:\trivnow\
xcopy ..\trivnow\human_?.trv %1:\trivnow\
xcopy articles\*.* %1:\sdpc133\articles\
xcopy crosclue\*.* %1:\sdpc133\crosclue\
xcopy sokoban\*.* %1:\sdpc133\sokoban\
xcopy *.shl %1:\sdpc133\
xcopy copy133.bat %1:\sdpc133\
xcopy ..\go.exe %1:\
xcopy ..\vgashell.exe %1:\
xcopy ..\isstable.dat %1:\
xcopy ..\*.bat %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 2
xcopy sdyacht\*.* %1:\sdpc133\sdyacht\
xcopy m*.shl %1:\sdpc133\
xcopy ..\go.exe %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 3
xcopy filler\*.* %1:\sdpc133\filler\
xcopy 3dfun\*.* %1:\sdpc133\3dfun\
xcopy m*.shl %1:\sdpc133\
xcopy ..\go.exe %1:\
echo.
echo Finished copying SDPC VGA #133 to %1:
echo.
:exit

